com.amazon.redshift.util

## Class GettableHashMap<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - com.amazon.redshift.util.GettableHashMap<K,V>

All Implemented Interfaces:
  Gettable<K,V>, Serializable, Cloneable, Map<K,V>

    public class GettableHashMap<K,V>
    extends HashMap<K,V>
    implements Gettable<K,V>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GettableHashMap()`

### Method Summary

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.amazon.redshift.util.Gettable

`get`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### GettableHashMap

    public GettableHashMap()